Package org.apache.lucene.analysis.hunspell

# Class AffixedWord

java.lang.Object
org.apache.lucene.analysis.hunspell.AffixedWord

public final class AffixedWord extends Object
An object representing the analysis result of a simple (non-compound) word

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AffixedWord.Affix`
  An object representing a prefix or a suffix applied to a word stem

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `DictEntry`
  `getDictEntry()`
  `List<AffixedWord.Affix>`
  `getPrefixes()`
  `List<AffixedWord.Affix>`
  `getSuffixes()`
  `String`
  `getWord()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getWord

    public String getWord()
    Returns:
      the word being analyzed

  - ### getDictEntry

    public DictEntry getDictEntry()
    Returns:
      the dictionary entry for the stem in this analysis

  - ### getPrefixes

    public List<AffixedWord.Affix> getPrefixes()
    Returns:
      the list of prefixes applied to the stem, at most two, outermost first

  - ### getSuffixes

    public List<AffixedWord.Affix> getSuffixes()
    Returns:
      the list of suffixes applied to the stem, at most two, outermost first

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`